com.io7m.r2.filters

## Class R2FilterDebugEyePositionParameters

- java.lang.Object
- - com.io7m.r2.filters.R2FilterDebugEyePositionParameters

- All Implemented Interfaces:
    R2FilterDebugEyePositionParametersType

      @Generated(value={"Immutables.generator","R2FilterDebugEyePositionParametersType"})
      public final class R2FilterDebugEyePositionParameters
      extends Object
      implements R2FilterDebugEyePositionParametersType

  Parameters for filters that reproduce eye-space position values.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `R2FilterDebugEyePositionParameters.Builder` Builds instances of type `R2FilterDebugEyePositionParameters`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static R2FilterDebugEyePositionParameters.Builder` | `builder()` Creates a builder for `R2FilterDebugEyePositionParameters`.
    `static R2FilterDebugEyePositionParameters` | `copyOf(R2FilterDebugEyePositionParametersType instance)` Creates an immutable copy of a `R2FilterDebugEyePositionParametersType` value.
    `boolean` | `equals(Object another)` This instance is equal to all instances of `R2FilterDebugEyePositionParameters` that have equal attribute values.
    `R2EyePositionBufferUsableType` | `eyePositionBuffer()`
    `R2GeometryBufferUsableType` | `geometryBuffer()`
    `int` | `hashCode()` Computes a hash code from attributes: `geometryBuffer`, `eyePositionBuffer`, `observerValues`, `textureDefaults`.
    `R2MatricesObserverType` | `observerValues()`
    `static R2FilterDebugEyePositionParameters` | `of(R2GeometryBufferUsableType geometryBuffer, R2EyePositionBufferUsableType eyePositionBuffer, R2MatricesObserverType observerValues, R2TextureDefaultsType textureDefaults)` Construct a new immutable `R2FilterDebugEyePositionParameters` instance.
    `R2TextureDefaultsType` | `textureDefaults()`
    `String` | `toString()` Prints the immutable value `R2FilterDebugEyePositionParameters` with attribute values.
    `R2FilterDebugEyePositionParameters` | `withEyePositionBuffer(R2EyePositionBufferUsableType value)` Copy the current immutable object by setting a value for the `eyePositionBuffer` attribute.
    `R2FilterDebugEyePositionParameters` | `withGeometryBuffer(R2GeometryBufferUsableType value)` Copy the current immutable object by setting a value for the `geometryBuffer` attribute.
    `R2FilterDebugEyePositionParameters` | `withObserverValues(R2MatricesObserverType value)` Copy the current immutable object by setting a value for the `observerValues` attribute.
    `R2FilterDebugEyePositionParameters` | `withTextureDefaults(R2TextureDefaultsType value)` Copy the current immutable object by setting a value for the `textureDefaults` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### geometryBuffer

          public R2GeometryBufferUsableType geometryBuffer()

      Specified by:
        `geometryBuffer` in interface `R2FilterDebugEyePositionParametersType`
      Returns:
        The geometry buffer that will be used to reproduce the eye-space position

    - #### eyePositionBuffer

          public R2EyePositionBufferUsableType eyePositionBuffer()

      Specified by:
        `eyePositionBuffer` in interface `R2FilterDebugEyePositionParametersType`
      Returns:
        The output eye-space position buffer

    - #### observerValues

          public R2MatricesObserverType observerValues()

      Specified by:
        `observerValues` in interface `R2FilterDebugEyePositionParametersType`
      Returns:
        The observer matrix values that were used to produce the scene

    - #### textureDefaults

          public R2TextureDefaultsType textureDefaults()

      Specified by:
        `textureDefaults` in interface `R2FilterDebugEyePositionParametersType`
      Returns:
        A set of default textures

    - #### withGeometryBuffer

          public final R2FilterDebugEyePositionParameters withGeometryBuffer(R2GeometryBufferUsableType value)

      Copy the current immutable object by setting a value for the `geometryBuffer` attribute. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
      Parameters:
        `value` - A new value for geometryBuffer
      Returns:
        A modified copy of the `this` object

    - #### withEyePositionBuffer

          public final R2FilterDebugEyePositionParameters withEyePositionBuffer(R2EyePositionBufferUsableType value)

      Copy the current immutable object by setting a value for the `eyePositionBuffer` attribute. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
      Parameters:
        `value` - A new value for eyePositionBuffer
      Returns:
        A modified copy of the `this` object

    - #### withObserverValues

          public final R2FilterDebugEyePositionParameters withObserverValues(R2MatricesObserverType value)

      Copy the current immutable object by setting a value for the `observerValues` attribute. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
      Parameters:
        `value` - A new value for observerValues
      Returns:
        A modified copy of the `this` object

    - #### withTextureDefaults

          public final R2FilterDebugEyePositionParameters withTextureDefaults(R2TextureDefaultsType value)

      Copy the current immutable object by setting a value for the `textureDefaults` attribute. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
      Parameters:
        `value` - A new value for textureDefaults
      Returns:
        A modified copy of the `this` object

    - #### equals

          public boolean equals(Object another)

      This instance is equal to all instances of `R2FilterDebugEyePositionParameters` that have equal attribute values.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode()

      Computes a hash code from attributes: `geometryBuffer`, `eyePositionBuffer`, `observerValues`, `textureDefaults`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hashCode value

    - #### toString

          public String toString()

      Prints the immutable value `R2FilterDebugEyePositionParameters` with attribute values.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation of the value

    - #### of

          public static R2FilterDebugEyePositionParameters of(R2GeometryBufferUsableType geometryBuffer,
                                                              R2EyePositionBufferUsableType eyePositionBuffer,
                                                              R2MatricesObserverType observerValues,
                                                              R2TextureDefaultsType textureDefaults)

      Construct a new immutable `R2FilterDebugEyePositionParameters` instance.
      Parameters:
        `geometryBuffer` - The value for the `geometryBuffer` attribute
        `eyePositionBuffer` - The value for the `eyePositionBuffer` attribute
        `observerValues` - The value for the `observerValues` attribute
        `textureDefaults` - The value for the `textureDefaults` attribute
      Returns:
        An immutable R2FilterDebugEyePositionParameters instance

    - #### copyOf

          public static R2FilterDebugEyePositionParameters copyOf(R2FilterDebugEyePositionParametersType instance)

      Creates an immutable copy of a `R2FilterDebugEyePositionParametersType` value. Uses accessors to get values to initialize the new immutable instance. If an instance is already immutable, it is returned as is.
      Parameters:
        `instance` - The instance to copy
      Returns:
        A copied immutable R2FilterDebugEyePositionParameters instance

    - #### builder

          public static R2FilterDebugEyePositionParameters.Builder builder()

      Creates a builder for `R2FilterDebugEyePositionParameters`.
      Returns:
        A new R2FilterDebugEyePositionParameters builder

Copyright © 2017 <code@io7m.com> http://io7m.com